Bug 1713537 - LCOV project location change
Summary: LCOV project location change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lcov
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-24 03:32 UTC by Jeffrey Walton
Modified: 2019-08-20 02:04 UTC (History)
3 users (show)

Fixed In Version: lcov-1.14-1.fc30 lcov-1.14-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:25:42 UTC


Attachments (Terms of Use)

Description Jeffrey Walton 2019-05-24 03:32:28 UTC
'dnf info lconv' shows LCONV is located on Sourceforge. It looks like the project project moved, and the new location is GitHub. Confer, http://ltp.sourceforge.net/ and https://github.com/linux-test-project/ltp .

(Sorry about selecting component Developer Guide. I was not allowed to select LCOV).

==========

$ dnf info lcov
Installed Packages
Name         : lcov
Version      : 1.13
Release      : 5.fc29
Architecture : noarch
Size         : 368 k
Source       : lcov-1.13-5.fc29.src.rpm
Repository   : @System
From repo    : fedora
Summary      : LTP GCOV extension code coverage tool
URL          : http://ltp.sourceforge.net/coverage/lcov.php
License      : GPLv2+
Description  : LCOV is an extension of GCOV, a GNU tool which provides
             : information about what parts of a program are actually executed
             : (i.e. "covered") while running a particular test case. The
             : extension consists of a set of PERL scripts which build on the
             : textual GCOV output to implement HTML output and support for
             : large projects.

Comment 1 Petr Bokoc 2019-05-24 07:40:26 UTC
Hi, you weren't able to select lcov because you selected the wrong Product :). Fixed now.

Comment 2 Fedora Update System 2019-06-17 10:41:10 UTC
FEDORA-2019-ef47f81c74 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef47f81c74

Comment 3 Fedora Update System 2019-06-17 12:22:46 UTC
FEDORA-2019-14c85e08bf has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-14c85e08bf

Comment 4 Fedora Update System 2019-06-17 18:17:31 UTC
lcov-1.14-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef47f81c74

Comment 5 Fedora Update System 2019-06-17 20:12:10 UTC
lcov-1.14-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-14c85e08bf

Comment 6 Fedora Update System 2019-06-25 01:25:42 UTC
lcov-1.14-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-08-20 02:04:10 UTC
lcov-1.14-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.